
ctools - Bug #3915

Keyword error in ctcubemask when using a ctmodel container as inobs file

11/29/2021 09:14 AM - Hatlen Eirik 

Status: Closed Start date: 11/29/2021

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

When calling ctcubemask with a counts cube from a ctmodel an keyword error is thrown:

Keyword “RA_PNT” not found in FITS header.

By inspection RA_PNT and DEC_PNT are missing from the ctmodel header.

Copying and pasting the *_PNT key/val from i.e the ctbin-cube used to generate the ctmodel, into the ctmodel cube header, seems to

fix the problem and generate a masked ctmodel counts cube.

History

#1 - 06/04/2022 11:18 PM - Knödlseder Jürgen

- Status changed from New to Pull request

- Assigned To set to Knödlseder Jürgen

- Target version set to 2.0.0

- % Done changed from 0 to 90

I added code so that the keywords get copied.

#2 - 06/05/2022 12:37 AM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- % Done changed from 90 to 100

Merged into devel.
